Bug 27621 - Remove it-IT installer data
Summary: Remove it-IT installer data
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: https://gitlab.com/joubu/Koha/-/tree/...
Keywords:
Depends on: 24871 24973
Blocks: 27829
  Show dependency treegraph
 
Reported: 2021-02-04 08:49 UTC by Martin Renvoize
Modified: 2021-05-12 15:07 UTC (History)
12 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
This removes the SQL installer directory from the Koha source code. Installing Italian sample data will still be possible, but translations have been moved into Koha's translation system using .po files maintained on https://translate.koha-community.org.
Version(s) released in:
21.05.00


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-02-04 08:49:52 UTC
+++ This bug was initially created as a clone of Bug #27620 +++

Now we can translate all installer data, then the it-IT directory is no longer needed.
Comment 1 Jonathan Druart 2021-02-08 12:32:03 UTC
it-IT removed on a remote branch (cannot attach the patch to the bug report, it's too big)

https://gitlab.com/joubu/Koha/-/tree/bug_27621

I got the confirmation from Zeno and John that it was preferable for them to use the new workflow for it-IT.
Comment 2 Martin Renvoize 2021-02-09 17:11:18 UTC
This looks good to me.. but I'm not really the target audience here..

Who can we get to SO/QA this?
Comment 3 Martin Renvoize 2021-03-04 10:13:13 UTC
I've dug through the patchset and agree with the changes. All looks good to me, happy to say this is signed off. (I'll leave adding the SO line on the branch to Jonathan)
Comment 4 Katrin Fischer 2021-03-07 15:50:25 UTC
I think it would be nice if we could also save the quotes. This is a general problem, see bug 26829. Translating our existing sample quotes is not really helping, the American presidents have limited appeal in other contexts.

If we added them to custom.sql they would become mandatory, instead of optional, like they should be.

So I have copied the quotes to the other bug and going to sign this one off, hoping that will keep them save until we can implement something nicer.
Comment 5 Jonathan Druart 2021-05-10 14:18:01 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-05-12 15:07:52 UTC
Not pushed to 20.11.x